//
//  XTHtmlTagOl.m
//  TadsTerp
//
//  Created by Rune Berg on 21/05/14.
//  Copyright (c) 2014 Rune Berg. All rights reserved.
//

#import "XTHtmlTagOl.h"
#import "XTOutputFormatterProtocol.h"


@interface XTHtmlTagOl ()

@property NSUInteger itemIndex;
@end


@implementation XTHtmlTagOl

- (instancetype)init
{
	self = [super init];
	if (self) {
		_itemIndex = 1;
	}
	return self;
}

+ (NSString *)name
{
	return @"ol";
}

- (NSUInteger)getItemIndex
{
	return self.itemIndex;
}

- (void)incItemIndex
{
	self.itemIndex += 1;
}

@end
